> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Catalog Item Image Links



## OpenAPI

````yaml /openapi.json post /v1/workspaces/{workspaceId}/catalog-items/{itemId}/image-links
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/catalog-items/{itemId}/image-links:
    post:
      tags:
        - Catalog Item Image Links
      summary: Create Catalog Item Image Links
      operationId: CatalogItemImageLinksController_create_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
        - name: itemId
          required: true
          in: path
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateCatalogItemImageLinkDto'
      responses:
        '201':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CatalogItemImageLinkResponseDto'
components:
  schemas:
    CreateCatalogItemImageLinkDto:
      type: object
      properties:
        imageId:
          type: string
          minLength: 1
        primary:
          type: boolean
      required:
        - imageId
      additionalProperties: false
    CatalogItemImageLinkResponseDto:
      type: object
      properties:
        id:
          type: string
        itemId:
          type: string
        imageId:
          type: string
        isPrimary:
          type: boolean
        createdAt:
          type: string
      required:
        - id
        - itemId
        - imageId
        - isPrimary
        - createdAt

````